﻿init -1 python:
    config.screen_width = 800
    config.screen_height = 480

init python:
    config.empty_window = nvl_show_core
    config.window_hide_transition = dissolve
    config.window_show_transition = dissolve

# Game images to be used in game. show and hide to swap images.
image bg alone = "bgalone.jpg"
image bg doubles = "bgdoubles.jpg"
image bg circles = "circlesbg.jpg"
image bg bluefish = "bgbluefish.jpg"
image bg circlesattack = "bgcirclesugly.jpg"
image bg invasion = "bgcrustaceon.jpg"
image bg heroes = "bgdariusheroes.jpg"
image bg thanks = "bgend.jpg"
image bg explosion = "bgexplosion.jpg"
image bg surrounded = "bgfish.jpg"
image bg bigfish = "bgkraken.jpg"
image bg goldfish = "bggoldfish.jpg"
image bg dariusforce = "bglobster.jpg"
image bg flyby = "bgnarrowescape.jpg"
image bg flyunder = "bgontop.jpg"
image bg newbattle = "bgnewbattle.jpg"
image bg belser = "bgoverlord.jpg"
image bg space = "bgplanet.jpg"
image bg levelup = "bgpowerup.jpg"
image bg rocketfish = "bgrocketfish.jpg"
image bg silverhawks = "bgsilverhawks.jpg"
image bg fishfood = "bgsuper.jpg"
image bg swamp = "bgswamp.jpg"
image bg swampfish = "bgswampmonster.jpg"
image bg boss = "bgwhale.jpg"
image bg zonea = "bgzonea.png"
image bg spaced = "bgspaced.jpg"
image bg hawk = "bghawk.jpg"
image bg hangar = "bghanger.jpg"
image bg end = "bgend.jpg"

image procoyoung = "heroesprocoyoung.png"
image proco = "heroesproco.png"
image tiat = "heroestiat.png"
image tiatyoung = "heroestiatyoung.png"
image ship = "heroesship.png"
image shipwreck = "heroshipdamage.png"
image command = "heroescommand.png"
image blank = "heroesblank.png"

image silverhawk: 
    "silverhawk.png"
    xalign -0.1 yalign 0.15
    linear 45.0 xalign 1.1 

# Game characters to be used in game.
define t = Character('Tiat', color="3300FF")
define p = Character('Proco', color="CC0000")
define s = Character('3F-1B', color="006600")
define c = Character('DAF Command', color="336600")

$ mainframe = Position(xpos=0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
$ secondframe = Position(xpos=0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
#example to use: show tiat at secondframe


# "with hpunch" or "with vpunch" after lines creates shake
#code for font and size {size=12}{font=atari.ttf}{/font}{/size}

# Game Starts Here.
label start:
    $ bl_game = False
    scene bg circles
    with dissolve
    show proco at left
    show command at right

    play music "harmonical.wav"

    "{size=12}{font=atari.ttf}So, this is a Silver Hawk?{/font}{/size}"
    "{size=12}{font=atari.ttf}Fought for four years to get in to one of these.{/font}{/size}"
    p "{size=12}{font=atari.ttf}Not as roomy as I thought...{/font}{/size}"
    c "{size=12}{font=atari.ttf}So you're the new hot shot pilot for our great Darius Air Force, aye?{/font}{/size}"
    p "{size=12}{font=atari.ttf}...{/font}{/size}"
    p "{size=12}{font=atari.ttf}Y-yes sir!{/font}{/size}"
    c "{size=12}{font=atari.ttf}Well lend an ear rookie and learn a few things from a veteran galactic gunner."
    c "{size=12}{font=atari.ttf}First of all, those Silver Hawk warships you'll be flying aren't toys.{/font}{/size}"
    c "{size=12}{font=atari.ttf}They are sleek and shifty, state of the art battle cruisers with a load of firepower.{/font}{/size}"
    c "{size=12}{font=atari.ttf}Your cherry red 3F-1B fighter comes from the finest tech we could scrounge up.{/font}{/size}"
    c "{size=12}{font=atari.ttf}You'll need every bit of it too!{/font}{/size}"
    p "{size=12}{font=atari.ttf}Sir. Are we shipping out?{/font}{/size}"
    c "{size=12}{font=atari.ttf}Don't get too excited, but we have lost our scouts around the Sun and I'd like to know why.{/font}{/size}"
    c "{size=12}{font=atari.ttf}Watch it as that evil tyrant, Belser, and his metal monster spacecrafts, have weapons you've never seen before.{/font}{/size}"
    c "{size=12}{font=atari.ttf}And if your maneuvers are any slower than light-speed, you'll be nothin' but space sparks.{/font}{/size}"
    p "{size=12}{font=atari.ttf}I'll do my best sir.{/font}{/size}"
    "{size=12}{font=atari.ttf}Silence.{/font}{/size}"
    c "{size=12}{font=atari.ttf}Report here at 0800 for a meet up with your wingman{/font}{/size}"
    hide command
    hide proco
    show blank at right
    show blank at left
    show tiat at right

    scene black
    with dissolve
    $ flash = Fade(.25, 0, .75, color="#fff")

    scene black # Or whatever image you're transitioning from.

    scene bg hangar
    with flash

    show blank at left
    show tiat at right

    t "{size=12}{font=atari.ttf}Let's do some last second modifications...{/font}{/size}"
    show proco at left
    hide blank
    p "{size=12}{font=atari.ttf}Umm...what are you doing to my ship?{/font}{/size}"
    t "{size=12}{font=atari.ttf}Tweaking the AI a bit.{/font}{/size}"
    p "{size=12}{font=atari.ttf}Please don't mess with my rig.{/font}{/size}"
    "{size=12}{font=atari.ttf}I reach out to stop her{/font}{/size}"

    show command at right

    hide tiat
    c "{size=12}{font=atari.ttf}I see you two got off on the right foot.{/font}{/size}" 
    p "{size=12}{font=atari.ttf}Sir?{/font}{/size}"
    c "{size=12}{font=atari.ttf}This is Lt. Tiat Young, your partner.{/font}{/size}"
    c "{size=12}{font=atari.ttf}It'd be best if you two play nice together.{/font}{/size}"
    show tiat at right
    hide command
    t "{size=12}{font=atari.ttf}Nice to meet you Captain.{/font}{/size}"
    p "{size=12}{font=atari.ttf}Uh...likewise. Though you could tell me what exactly are you planning with my ship.{/font}{/size}"
    "{size=12}{font=atari.ttf}She unplugs her keyboard from the console and turns to me{/font}{/size}"
    t "{size=12}{font=atari.ttf}You haven't had much time in these have you?{/font}{/size}"
    p "{size=12}{font=atari.ttf}I've been in the air more hours than anybody on this base.{/font}{/size}"
    t "{size=12}{font=atari.ttf}I'm not talking about log time, Captain. I'm talking about being in this ship.{/font}{/size}"
    t "{size=12}{font=atari.ttf}See these rigs have a quirky AI system. It gets pretty long winded when it wants to.{/font}{/size}"
    t "{size=12}{font=atari.ttf}When you are in a dog fight, you'll get tired of hearing \"JU3 Pulse Laser Unit preparing to fire\" real quick.{/font}{/size}"
    t "{size=12}{font=atari.ttf}You can even turn that off if you wanted.{/font}{/size}"
    t "{size=12}{font=atari.ttf}Other than fixing the notifications, I boosted your communications frequency so I don't lose you up there.{/font}{/size}"
    t "{size=12}{font=atari.ttf}I know you might have more experience than me in battle, but nobody knows these ships like I do.{/font}{/size}"
    show command at right
    hide tiat
    c "{size=12}{font=atari.ttf}Are you kids done playing now?{/font}{/size}"
    show tiat at right
    hide command
    "{size=12}{font=atari.ttf}Yes sir!{/font}{/size}"
    show command at right
    hide tiat
    c "{size=12}{font=atari.ttf}Good, because in case you two forgot, we've got a mission to do.{/font}{/size}"
    c "{size=12}{font=atari.ttf}You two will be headed towards the Sun for a bit so pack your lotion.{/font}{/size}"
    stop music
    "{size=12}{font=atari.ttf}All of a sudden a loud sound belows{/font}{/size}"
    play sound "powerdown.wav"
    play sound "powerdown.wav"
    play sound "powerdown.wav"
    c "{size=12}{font=atari.ttf}Lt. Tiat has already programmed the mission plans in and it sounds like they're calling your number."
    c "{size=12}{font=atari.ttf}Good luck, rookie and take care.{/font}{/size}"

    play music "spaced.wav"

    scene bg hangar
    with dissolve
    $ flash = Fade(.25, 0, .75, color="#fff")

    scene black # Or whatever image you're transitioning from.

    scene bg spaced
    with flash

    show proco at left
    hide command
    show ship at right

    s "{size=12}{font=atari.ttf}Leaving Darius orbit. Destination Alpha.{/font}{/size}"
    "{size=12}{font=atari.ttf}It really does talk.{/font}{/size}"
    s "{size=12}{font=atari.ttf}Comm Link ininitiated.{/font}{/size}"
    show tiat at right
    hide ship
    t "{size=12}{font=atari.ttf}So what do you think Captain? She's a bit looser than those other rigs.{/font}{/size}"
    p "{size=12}{font=atari.ttf}She's handling just fine. Since we're going to the Sun and back, why don't we drop the formalities Lieutenant.{/font}{/size}"
    t "{size=12}{font=atari.ttf}Ok then, just call me Tiat.{/font}{/size}"
    t "{size=12}{font=atari.ttf}Also, sorry about the Commander back there. This mission has him a bit nervous.{/font}{/size}"
    p "{size=12}{font=atari.ttf}I didn't see anything too out of the ordinary in our data logs...{/font}{/size}"
    t "{size=12}{font=atari.ttf}No no, he's nervous about me. Uh...my father is the commander.{/font}{/size}"
    p "{size=12}{font=atari.ttf}Ha! Ok, that makes a bit more sense. I was wondering why we've never crossed paths before this mission.{/font}{/size}"
    p "{size=12}{font=atari.ttf}How many missions have you flown before?{/font}{/size}"
    t "{size=12}{font=atari.ttf}None.{/font}{/size}"
    "{size=12}{font=atari.ttf}The word \"None\" seemed to echo between our ships{/font}{/size}"
    t "{size=12}{font=atari.ttf}That's not to say I'm unexperienced. I can outfly anybody out there in the simulator.{/font}{/size}"
    p "{size=12}{font=atari.ttf}A true rookie. I was wondering why the Commander said that as we left. Now I guess I know.{/font}{/size}"
    t "{size=12}{font=atari.ttf}I can hold my own with the best of them and nobody has logged more fly time in the Silver Hawks than me.{/font}{/size}"
    p "{size=12}{font=atari.ttf}I don't doubt it, but you do realize actual battles are quite different than flight sims and test runs?{/font}{/size}"
    p "{size=12}{font=atari.ttf}Until you've taken down your first ship, what you know is nothing.{/font}{/size}"
    t "{size=12}{font=atari.ttf}I won't slow you down, Captain. Just watch me.{/font}{/size}"
    "{size=12}{font=atari.ttf}Good thing this is only a search and recover mission.{/font}{/size}"
    show ship at right
    hide tiat
    s "{size=12}{font=atari.ttf}Arrival at destination point immenent.{/font}{/size}"
    show tiat at right
    hide ship
    t "{size=12}{font=atari.ttf}We'll call Command as soon as we exit out of warp.{/font}{/size}"

    scene bg goldfish
    with flash
    play sound "passingship.wav"
    with hpunch
    
    show blank at right
    show ship at left


    stop music
    play sound "action.wav"
    "{size=12}{font=atari.ttf}I hear a shock filled scream as we enter new space.{/font}{/size}"
    show tiat at right
    hide blank
    t "{size=20}{font=atari.ttf}Aaaaaagh!!!{/size}{/font}"
    show proco at left
    hide ship
    p "{size=12}{font=atari.ttf}Calm down now and bank right.{/font}{/size}"
    with vpunch
    "{size=12}{font=atari.ttf}Dammit! What was that?{/font}{/size}"

    scene bg doubles
    with fade
    show tiat at right
    t "{size=18}{font=atari.ttf}WHAT WAS THAT?!?{/size}{/font}"
    show ship at left
    s "{size=12}{font=atari.ttf}Enemy identified as an Eclipse Eye. Evasive maneuvers recommended.{/size}{/font}"
    show proco at left
    hide ship
    p "{size=12}{font=atari.ttf}What is a Belser warship doing here?{/size}{/font}"
    p "{size=12}{font=atari.ttf}Tiat! Get command on line immediately.{/size}{/font}"
    t "{size=12}{font=atari.ttf}I'm trying.{/size}{/font}"
    t "{size=12}{font=atari.ttf}There's some interference from these ships. How many are there around us?{/size}{/font}"
    show ship at left
    hide proco
    s "{size=12}{font=atari.ttf}Scanners picking up 1,986 ships in this vicinity.{/size}{/font}"
    show proco at left
    hide ship
    p "{size=12}{font=atari.ttf}That's larger than an entire fleet. We need to get command on line, now!{/size}{/font}"
    t "{size=12}{font=atari.ttf}With this many, they'll pick up our signature in no time.{/size}{/font}"
    p "{size=12}{font=atari.ttf}You don't get it Tiat, this is an attack fleet. Darius is going to be attacked.{/size}{/font}"
    p "{size=12}{font=atari.ttf}Head to the asteroids. There shouldn't be much interference and it'll shield our relays from some of them.{/size}{/font}"
    p "{size=12}{font=atari.ttf}You'll have to place the call before we get too deep and lose signal with command.{/size}{/font}"
    t "{size=12}{font=atari.ttf}Got it.{/size}{/font}"

    "{size=12}{font=atari.ttf}Deafening silence fills the ship as we approach{/size}{/font}"

    show ship at right
    hide tiat

    s "{size=12}{font=atari.ttf}Communication to Darius base sent. Darius connected."
    show command at right
    hide ship

    c "{size=12}{font=atari.ttf}About time you called.{/size}{/font}"
    p "{size=12}{font=atari.ttf}Commander, we have encountered a hive of warships. More importantly, the fleet seems positioned to move on Darius.{/size}{/font}"
    p "{size=12}{font=atari.ttf}Tiat will send you as much information as we have on the armada, but you need to get troops mobilized.{/size}{/font}"
    c "{size=12}{font=atari.ttf}Endoh, get this data processed. Captain, get back here immediately.{/size}{/font}" 
    c "{size=12}{font=atari.ttf}We need all the pilots we've got if this is true.{/size}{/font}"
    show tiat at left
    hide proco
    t "{size=12}{font=atari.ttf}Sir, we're going to have to end communications, now! We've been marked!{/size}{/font}"
    c "{size=12}{font=atari.ttf}God speed, Silver Hawks.{/size}{/font}"

    scene bg zonea
    show silverhawk

    show proco at left
    show tiat at right

    p "{size=12}{font=atari.ttf}Alright Tiat, we don't have much time. I need to know if there is anything special I can make of this ship.{/size}{/font}"
    t "{size=12}{font=atari.ttf}Yes. The Silver Hawk's are all running off the same tech that these ships are.{/size}{/font}"
    p "{size=12}{font=atari.ttf}What? I thought these ships were made back on Darius?{/size}{/font}"
    t "{size=12}{font=atari.ttf}They were, but many of the units core drives were based on old technology found in our oceans.{/size}{/font}"
    t "{size=12}{font=atari.ttf}That's why these ships launch without any special weapons systems. The weight wouldn't even get them off planet.{/size}{/font}"
    show ship at right
    hide tiat
    s "{size=12}{font=atari.ttf}Silver Hawk class fighters absorb enemy ship cores boosting offensive and defensive abilities.{/size}{/font}"
    show tiat at right
    hide ship
    t "{size=12}{font=atari.ttf}In other words, blow a ship up and grab their drive core if it's still in tact. Might get you out of rough spots.{/size}{/font}"
    t "{size=12}{font=atari.ttf}The idea is that this will make the ship light enough to enter strange gravity fields while maintaining speed.{/size}{/font}"
    p "{size=12}{font=atari.ttf}I think I've got you. Kill ships, pick up shiny cores.  Can't be too hard.{/size}{/font}"


    scene black
    with dissolve
    $ flash = Fade(.25, 0, .75, color="#fff")

    scene black # Or whatever image you're transitioning from.

    scene bg swamp
    with flash

    show ship at right
    show proco at left

    s "{size=12}{font=atari.ttf}Enemy approaching.{/size}{/font}"
    p "{size=12}{font=atari.ttf}Heads up. We have incoming.{/size}{/font}"
    show tiat at right
    hide ship
    t "{size=12}{font=atari.ttf}Roger!{/size}{/font}"
    scene bg swamp
    with fade

    $ flash = Fade(.25, 0, .75, color="#fff")

    scene black # Or whatever image you're transitioning from.
    scene bg end
    with flash
    stop music

    show tiat at right
    show proco at left
    "Will our faithful crew make it out alive and back to their home world?"
    "Find out in DARIUS at an arcade near you!"
    return

# End Game Code
$ renpy.full_restart()